<!doctype html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <title>WebOntology</title>
    <link rel="stylesheet" href="style.css" type="text/css"/>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/KaTeX/0.5.1/katex.min.css">
    <script src="//cdnjs.cloudflare.com/ajax/libs/KaTeX/0.5.1/katex.min.js"></script>

    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/jointjs/3.3.1/joint.css">
</head>
<body>
<nav id="navbar">
    <ul class="topMenu">
        <li><a class="active">Классы</a>
            <ul class="submenu">
                <li class="hoverLi"><button class="navbarButton" id="addConcept">Добавить класс</button></li>
                <li class="hoverLi"><button class="navbarButton" id="modifyClass">Модифицировать класс</button></li>
                <li class="hoverLi"><button class="navbarButton" id="deleteOneClass">Удалить класс</button></li>
            </ul>
        </li>
        <li><a class="active">Области</a>
            <ul class="submenu">
            </ul>
        </li>
        <li><a class="active">Отношения</a>
            <ul class="submenu">
                <li class="hoverLi"><button class="navbarButton" id="addRelation">Создать отношение</button></li>
                <li class="hoverLi"><button class="navbarButton" id="modifyRelation">Изменить отношение</button></li>
            </ul>
        </li>
        <button class="headButtons" id="deleteAll">Очистить всё</button>
    </ul>
</nav>
<div id="paper"></div>
<div id="buttonStorage">
    <canvas id="canvas"></canvas>
</div>
<!--<div id="areaStorage"></div>-->
<div id="modalArea" class="modal">
    <div class="modal-content">
        <div class="modal-header">
            <span class="close" id="closeAreaSave">&times;</span>
            <input id="areaName" placeholder="Введите название">
        </div>
        <div class="modal-body">
            <p>Будут добавлены следующие понятия</p>
            <div id="areaConcept"></div>
        </div>
        <div class="modal-footer">
            <button class="headButtons" id="saveArea">Добавить</button>
            <input type="color" id="areaColorChanger" class="colorChanger" name="head"
                   value="#e66465">
        </div>
    </div>
</div>
<div id="deleteModal" class="modal">
    <div class="modal-content">
        <div class="modal-header">
            <span class="close" id="closeDeleteModal">&times;</span>
            <!--<input id="deleteModalName" disabled="disabled" autocomplete="off">-->
            <div id="deleteModalName"></div>
        </div>
        <div class="modal-body">

        </div>
        <div class="modal-footer">
            <button class="headButtons" id="cancelDeleteValue">Отмена</button>
            <button class="headButtons" id="deleteValue">Удалить</button>
        </div>
    </div>
</div>
<div id="mainModal" class="modal">
    <div class="modal-content">
        <div class="modal-header">
            <span class="close" id="closeModalForm">&times;</span>
            <input id="formName" class="allModalName" placeholder="Введите значение" autocomplete="off">
            <br>
            <input id="formType" autocomplete="off" disabled="disabled">
        </div>
        <div id="modalBody" class="modal-body">
            <div id="formula"></div>
            <input id="modalValues" type="text"><button id="addModalValues">Добавить значение</button>
            <button id="changeModalValues">Изменить старое значение</button>
            <br>
            <button id="clean">Очистить строку</button>
            <input class="formControl" type="text" placeholder="Поиск" id="search-text" onkeyup="tableSearch()">
            <div id="function" class="noSelect">
                <div>
                    <button id="relationshipSymbols" class="functionButton">⩽ ≠ ≈</button>
                    <div id="functionList1" class="dropdownContent">
                        <div class="rowed">
                            <button id="leqslant" class="test">⩽</button>
                            <button id="prec" class="test">≺</button>
                            <button id="neq" class="test">≠</button>
                            <button id="approx" class="test">≈</button>
                        </div>
                        <div class="rowed">
                            <button id="geqslant" class="test">⩾</button>
                            <button id="succ" class="test">≻</button>
                            <button id="equiv" class="test">≡</button>
                            <button id="varpropto" class="test">∝</button>
                        </div>
                    </div>
                </div>
                <div>
                    <button id="operatorSymbols" class="functionButton">± ⦁ ⊗</button>
                    <div id="functionList2" class="dropdownContent">
                        <div class="rowed">
                            <button id="pm" class="test">±</button>
                            <button id="times" class="test">×</button>
                            <button id="ast" class="test">*</button>
                            <button id="circ" class="test">∘</button>
                            <button id="otimes" class="test">⊗</button>
                            <button id="langle" class="test">〈</button>
                        </div>
                        <div class="rowed">
                            <button id="mp" class="test">∓</button>
                            <button id="div" class="test">÷</button>
                            <button id="cdot" class="test">·</button>
                            <button id="bullet" class="test">⦁</button>
                            <button id="oplus" class="test">⊕</button>
                            <button id="rangle" class="test">〉</button>
                        </div>
                    </div>
                </div>
                <div>
                    <button id="arrowSymbols" class="functionButton">→ ⇔ ↓</button>
                    <div id="functionList3" class="dropdownContent">
                        <div class="rowed">
                            <button id="rightarrow" class="test">→</button>
                            <button id="uparrow" class="test">↑</button>
                            <button id=" Rightarrow" class="test">⇒</button>
                            <button id=" Uparrow" class="test">⇑</button>
                            <button id="mapsto" class="test">↦</button>
                        </div>
                        <div class="rowed">
                            <button id="leftarrow" class="test">←</button>
                            <button id="downarrow" class="test">↓</button>
                            <button id=" Leftarrow" class="test">⇐</button>
                            <button id=" Downarrow" class="test">⇓</button>
                        </div>
                        <div class="rowed">
                            <button id="leftrightarrow" class="test">↔</button>
                            <button id="updownarrow" class="test">↕</button>
                            <button id=" Leftrightarrow" class="test">⇔</button>
                            <button id=" Updownarrow" class="test">⇕</button>
                        </div>
                    </div>
                </div>
                <div>
                    <button id="logicalSymbols" class="functionButton">∴ ∀ ∃</button>
                    <div id="functionList4" class="dropdownContent">
                        <div class="rowed">
                            <button id="therefore" class="test">∴</button>
                            <button id="ni" class="test">∋</button>
                            <button id="forall" class="test">∀</button>
                            <button id="wedge" class="test">∧</button>
                        </div>
                        <div class="rowed">
                            <button id="because" class="test">∵</button>
                            <button id="exists" class="test">∃</button>
                            <button id="neg" class="test">¬</button>
                            <button id="vee" class="test">∨</button>
                        </div>
                    </div>
                </div>
                <div>
                    <button id="set-theoreticSymbols" class="functionButton">∉ ⋂ ⊂</button>
                    <div id="functionList5" class="dropdownContent">
                        <div class="rowed">
                            <button id="in" class="test">∈</button>
                            <button id="cup" class="test">∪</button>
                            <button id="subset" class="test">⊂</button>
                            <button id="subseteq" class="test">⊆</button>
                        </div>
                        <div class="rowed">
                            <button id="notin" class="test">∉</button>
                            <button id="cap" class="test">⋂</button>
                            <button id="supset" class="test">⊃</button>
                            <button id="supseteq" class="test">⊇</button>
                        </div>
                    </div>
                </div>
                <div>
                    <button id="uniqueSymbols" class="functionButton">aⁿ aₙ ...</button>
                    <div id="functionList6" class="dropdownContent">
                        <div class="rowed">
                            <button id="up" class="test">aⁿ</button>
                            <button id="dfrac" class="test"><sup>a</sup>&frasl;<sub>b</sub></button>
                        </div>
                        <div class="rowed">
                            <button id="down" class="test">aₙ</button>
                        </div>
                    </div>
                </div>
                <div>
                    <button id="LowercaseGreekLetters" class="functionButton">λ ω θ</button>
                    <div id="functionList7" class="dropdownContent">
                        <div class="rowed">
                            <button id="alpha" class="test lowerGreek">α</button>
                            <button id="epsilon" class="test lowerGreek">ε</button>
                            <button id="iota" class="test lowerGreek">ι</button>
                            <button id="nu" class="test lowerGreek">ν</button>
                            <button id="rho" class="test lowerGreek">ρ</button>
                            <button id="phi" class="test lowerGreek">φ</button>
                        </div>
                        <div class="rowed">
                            <button id="beta" class="test lowerGreek">β</button>
                            <button id="zeta" class="test lowerGreek">ζ</button>
                            <button id="kappa" class="test lowerGreek">ϰ</button>
                            <button id="xi" class="test lowerGreek">ξ</button>
                            <button id="sigma" class="test lowerGreek">σ</button>
                            <button id="chi" class="test lowerGreek">χ</button>
                        </div>
                        <div class="rowed">
                            <button id="gamma" class="test lowerGreek">γ</button>
                            <button id="eta" class="test lowerGreek">η</button>
                            <button id="lambda" class="test lowerGreek">λ</button>
                            <button id="omicron" class="test lowerGreek">ο</button>
                            <button id="tau" class="test lowerGreek">𝜏</button>
                            <button id="psi" class="test lowerGreek">ψ</button>
                        </div>
                        <div class="rowed">
                            <button id="delta" class="test lowerGreek">δ</button>
                            <button id="theta" class="test lowerGreek">θ</button>
                            <button id="mu" class="test lowerGreek">μ</button>
                            <button id="pi" class="test lowerGreek">π</button>
                            <button id="upsilon" class="test lowerGreek">υ</button>
                            <button id="omega" class="test lowerGreek">ω</button>
                        </div>
                    </div>
                </div>
            </div>
            <div style="display:flex; align-items:baseline">
                <table id="valueList" class="classList">
                <tr>
                    <th>Имя</th>
                </tr>
            </table>
                <div>
                    <button id="sortButtonAZ">&#9650;</button>
                    <button id="sortButtonZA">&#9660;</button>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button class="headButtons" id="saveForm">Сохранить</button>
            <button class="headButtons" id="deleteClassForm">Удалить класс</button>
            <input type="color" class="colorChanger" id="formColorChanger" name="head">
        </div>
    </div>
</div>
<div id="classModifyModal" class="modal">
    <div class="modal-content">
        <div class="modal-header">
            <span class="close" id="closeClassModifyModal">&times;</span>
            <p id="classViewModalName">Все классы</p>
        </div>
        <div id="modifyBody" class="modal-body">
            <table id="classList" class="classList">
                <tr>
                    <th>Имя</th>
                    <th>Тип</th>
                </tr>
            </table>
        </div>
        <div class="modal-footer">
            <!--<button class="headButtons" id="modifySortButton">Сортировка</button>-->
        </div>
    </div>
</div>
<div id="classCreationModal" class="modal">
    <div class="modal-content">
        <div class="modal-header">
            <span class="close" id="closeClassCreationModal">&times;</span>
            <input id="classCreationName" class="allModalName" disabled="disabled" placeholder="Создание класса" style>
        </div>
        <div class="modal-body">
            <label for="classCreationModalName">Введите имя класса:</label><input id="classCreationModalName" class="formModalName" autocomplete="off">
        </div>
        <hr>
        <div class="modal-body">
            <label id="labelTypeSelect" for="typeSelect">Тип значений:
                <br>
                <select id="typeSelect">
                    <option disabled>Выберите тип</option>
                    <option>Символьный</option>
                    <option>Формульный</option>
                    <option>Неструктурированный</option>
                </select>
            </label>
        </div>
        <hr>
        <div class="modal-body">
            <label for="classColorChanger">Выберите цвет:<input type="color" class="colorChanger" id="classColorChanger" name="head"></label>
        </div>
        <div class="modal-footer">
            <button class="headButtons" id="saveClass">Добавить</button>
        </div>
    </div>
</div>
<div id="addRelationCreationModal" class="modal">
    <div class="modal-content">
        <div class="modal-header">
            <span class="close" id="closeRelationCreationModal">&times;</span>
            <input id="relationCreationModalName" class="allModalName" autocomplete="off" placeholder="Введите название">
        </div>
        <div class="modal-body">
            <p style="margin: 1rem 1rem 1rem 0; font-size:16pt">Выберите классы, между которыми создаётся отношение:</p>
            <table id="relationClassList" class="classList">
            </table>
        </div>
        <div class="modal-footer">
        <button class="headButtons" id="saveRelation">Создать</button>
    </div>
    </div>
</div>
<div id="modifyRelationModal" class="modal">
    <div class="modal-content">
        <div class="modal-header">
            <span class="close" id="closeRelationModifyModal">&times;</span>
            <input id="relationName" class="allModalName" disabled="disabled" autocomplete="off">
        </div>
        <div id="writeDescription" class="modal-body">
        </div>
        <div class="modal-body">
            <label for="classCreationModalName">Введите новое имя отношения:</label><input id="relationChangeModalName" class="formModalName" autocomplete="off">
        </div>
        <div class="modal-footer">
            <button class="headButtons" id="saveRelationInModal">Сохранить</button>
            <button class="headButtons" id="swapOrientation">Изменить ориентацию</button>
<!--            <button class="headButtons" id="deleteRelation">Удалить отношение</button>-->
        </div>
    </div>
</div>
</body>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/4.17.20/lodash.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/backbone.js/1.4.0/backbone.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jointjs/3.3.1/joint.js"></script>

<script src="mainScript.js"></script>
<script src="conceptMoving.js"></script>
<script src="gogo.js"></script>

</html>

